<div class='page'>

  <app-header></app-header>




  <div class="main">
    <nav fxLayout="row" fxLayoutAlign="space-between center">

      <div>
        <h1>Account settings</h1>
      </div>

      <div>
        <button md-raised-button routerLink='/' class='nav-button'>Back to Home</button>
      </div>

    </nav>
    <div class="mainIn">
      <div class="left">Profile details</div>
      <div class="right" *ngIf="current.role!=='admin'">You are a {{ current.role }}</div>
      <div class="right" *ngIf="current.role==='admin'">You are an {{ current.role }}</div>
      <div class="line"></div>
      <app-profile [user]="current" (myChange)="loggedChange($event)"></app-profile>
      <div class="left">Security</div>
      <div class="line"></div>
      <form [formGroup]="pwdForm" (ngSubmit)="submit()">

        <div fxLayout="row" fxLayoutAlign="space-between center">

          <div>
            <div>
              <md-input-container class="distance-right">
                <input mdInput type="text" placeholder="Password" validateEqual="confirmPassword" reverse="true" formControlName="password"
                  [(ngModel)]="passwd1">
              </md-input-container>



              <md-input-container>
                <input mdInput type="text" placeholder="Confirm Password" validateEqual="password" reverse="false" formControlName="repeat">
              </md-input-container>
            </div>
            <div>
              <small>
                Must be at least 6 characters
              </small>
            </div>
          </div>


          <div>
            <button type="submit" md-raised-button class="nav-button">Save&nbsp;changes</button>
          </div>


        </div>
      </form>
    </div>
  </div>

  <app-footer></app-footer>

</div>
